using System.Resources;
using UnityEngine;
using WS;

///<summary>项目启动器</summary>
public class ProjectInit : Init
{
    public override void Initialize()
    {
        HttpCom.GetCommandLine();
        // Game.Scene.AddComponent<GameManager>();
        Game.Scene.AddComponent<HighlightComponent>();
        Game.Scene.AddComponent<SceneDataSaveComponent>();
        Game.Scene.AddComponent<InputManager>();
        //MainController controller = FacadeComponent.Instance.CreateController<MainController>();
        //controller.OpenView();


        SearchTypeEntryController controller2 = FacadeComponent.Instance.CreateController<SearchTypeEntryController>();
        controller2.OpenView();

       

    }
}
